Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.mock.interceptor
[Groovy] Class StrictExpectation

    java.lang.Object
      groovy.mock.interceptor.StrictExpectation

    class StrictExpectation

Expects demanded call cardinalities to match demanded ranges in the sequence of recording.

Authors:
  Dierk Koenig

See Also:
  LooseExpectation

Property Summary
`int` | `fCallSpecIdx`
`java.util.List` | `fCalls`
`Demand` | `fDemand`

Constructor Summary
`StrictExpectation(Demand demand)`

Method Summary
`Closure` | `match(java.lang.String name)` Match the requested method name against eligible demands.
`void` | `verify()` verify all calls are in expected range

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### fCallSpecIdx

    int fCallSpecIdx

### fCalls

    java.util.List fCalls

### fDemand

    Demand fDemand

Constructor Detail

### StrictExpectation

    StrictExpectation(Demand demand)

Method Detail

### match

    Closure match(java.lang.String name)

  Match the requested method name against eligible demands. Fail early if no match possible. Return the demand's behavior closure on match. Also skips over names matching ignore filter, if any.

### verify

    void verify()

  verify all calls are in expected range

Groovy Documentation